<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xmlns:aop="http://www.springframework.org/schema/aop"
	xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans.xsd
		http://www.springframework.org/schema/aop http://www.springframework.org/schema/aop/spring-aop-3.1.xsd">
	
	<bean id="activityActionAdvice" class="com.bw.adv.aop.service.ActivityActionAdvice"/>
	<aop:config>
		<!-- 同步订单  -->
		<aop:advisor advice-ref="activityActionAdvice" pointcut="execution(* com.bw.adv.service.order.service.impl.OrderHeaderServiceImpl.handleSyncOrder(..))"/>
		<!-- 接口注册会员 -->
		<aop:advisor advice-ref="activityActionAdvice" pointcut="execution(* com.bw.adv.service.member.service.impl.MemberServiceImpl.registMemberNoWechat(..))"/>
		
		<!-- 激活会员 -->
		<aop:advisor advice-ref="activityActionAdvice" pointcut="execution(* com.bw.adv.service.member.service.impl.MemberServiceImpl.registMemberInfo(..))"/>
		
		<!-- 修改会员 -->
		<aop:advisor advice-ref="activityActionAdvice" pointcut="execution(* com.bw.adv.service.member.service.impl.MemberServiceImpl.updateMember(..))"/>
		
		<aop:advisor advice-ref="activityActionAdvice" pointcut="execution(* com.bw.adv.service.member.service.impl.MemberServiceImpl.wechatUserEdit(..))"/>
		
		<!-- 后台新建会员 -->
		<aop:advisor advice-ref="activityActionAdvice" pointcut="execution(* com.bw.adv.service.member.service.impl.MemberServiceImpl.insertMember(..))"/>
	</aop:config>
	
	
	<!-- <aop:aspectj-autoproxy/>
	
	<bean id="memberCardServiceAspect" class="com.bw.adv.bk.api.aop.api.MemberCardServiceAspect" />
	
	<bean id="memberActivationAspect" class="com.bw.adv.bk.aop.service.MemberActivationAspect" />
	
	<bean id="memberDetailQueryAspect" class="com.bw.adv.bk.aop.service.MemberDetailQueryAspect" /> -->
	
	<bean id="couponVerificationFilter" class="com.bw.adv.service.coupon.service.impl.CouponVerificationFilterDefault" />
	
</beans>
